List Sandbox Executions
GET
/v1/sandbox/{sandboxId}/executionsGET
/v1/sandbox/{'{sandboxId}'}/executionsYour instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sandboxId | path | string | Yes | |
tenantId | query | string | No | |
limit | query | integer | No | |
offset | query | integer | No |
Responses
200 List executions for a sandbox
| Property | Type | Description |
|---|---|---|
executions | object[] | |
total | integer |
default An unexpected error response.
| Property | Type | Description |
|---|---|---|
code | integer | |
message | string | |
details | object[] |
Request
curl -X GET "https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/executions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/executions", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();import requests
response = requests.get(
"https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/executions",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
)
data = response.json()Response
{
"executions": [
{
"id": "string",
"sandboxId": "string",
"sessionId": "string",
"toolName": "string",
"toolCallId": "string",
"language": "string",
"command": "string",
"exitCode": 0,
"stdout": "string",
"stderr": "string",
"durationMs": "string",
"timedOut": true,
"createdAt": "2024-01-01T00:00:00Z"
}
],
"total": 0
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
